# Generated by Django 4.1.9 on 2023-06-11 08:52

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ActiveUserDataDeltaModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('active_user', models.IntegerField()),
                ('delta', models.IntegerField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'active_user_data_delta',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ActiveUserDataModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('active_users', models.IntegerField()),
                ('new_users', models.IntegerField()),
                ('dormant_users', models.IntegerField()),
                ('super_users', models.IntegerField()),
                ('all_users', models.IntegerField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'active_user_data',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='LifetimeUserModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_lifetime_in_days', models.IntegerField()),
                ('user_type', models.CharField(max_length=100)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'lifetime_user_data',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='MathQuestionAnswerModel',
            fields=[
                ('original_message_id', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('text', models.TextField()),
                ('message_inserted_at', models.DateTimeField()),
                ('nlu_response_data', models.CharField(max_length=255)),
                ('nlu_response_type', models.CharField(max_length=255)),
                ('nlu_response_confidence', models.FloatField()),
                ('contact_uuid', models.CharField(max_length=100)),
                ('question', models.TextField()),
                ('question_level', models.IntegerField()),
                ('question_skill', models.CharField(max_length=255)),
                ('question_topic', models.CharField(max_length=255)),
                ('question_number', models.IntegerField()),
                ('expected_answer', models.CharField(max_length=100)),
                ('question_micro_lesson', models.CharField(max_length=100)),
                ('line_name', models.CharField(max_length=100)),
                ('line_number', models.CharField(max_length=100)),
                ('answer_type', models.CharField(max_length=255)),
                ('supabase_id', models.IntegerField()),
            ],
            options={
                'db_table': 'math_question_answer',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='MessagesIndicatorsModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('value', models.FloatField()),
                ('image', models.TextField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'django_delvin_messages_indicators',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='MessagesModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sec_addr', models.CharField(max_length=255)),
                ('inserted_at', models.DateTimeField()),
                ('updated_on_supabase', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'django_delvin_messages',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='UserEngagement1Model',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_sha', models.CharField(max_length=255)),
                ('message_sent', models.IntegerField()),
                ('lifetime', models.IntegerField()),
                ('average_messages', models.FloatField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'user_engagement_data1',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='UserEngagement2Model',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_sha', models.CharField(max_length=255)),
                ('message_sent', models.IntegerField()),
                ('active_days', models.IntegerField()),
                ('average_messages', models.FloatField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'user_engagement_data2',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='UserEngagement3Model',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user_sha', models.CharField(max_length=255)),
                ('weekly_messages', models.JSONField()),
                ('active_weeks', models.IntegerField()),
                ('finished', models.BooleanField()),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'user_engagement_data3',
                'managed': False,
            },
        ),
    ]
